Package com.mckoi.database.jdbc

## Interface DatabaseCallBack

All Known Implementing Classes:
  `MConnection`

    public interface DatabaseCallBack

An interface that is input to the DatabaseInterface as a way to be notified of event information from inside the database.

Author:
  Tobias Downer

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `databaseEvent​(int event_type, java.lang.String event_message)` Called when the database has generated an event that this user is listening for.

### Method Detail

#### databaseEvent

    void databaseEvent​(int event_type,
                       java.lang.String event_message)

Called when the database has generated an event that this user is listening for.

NOTE: The thread that calls back these events is always a volatile thread that may not block. It is especially important that no queries are executed when this calls back. To safely act on events, it is advisable to dispatch onto another thread such as the SwingEventDispatcher thread.